diff -Nru orig/vcfppR/src/Makevars.win patched/vcfppR/src/Makevars.win
--- orig/vcfppR/src/Makevars.win	2023-12-05 15:13:20.000000000 +0100
+++ patched/vcfppR/src/Makevars.win	2024-02-23 17:52:59.196603700 +0100
@@ -1,6 +1,15 @@
 HTSLIB_DIR=htslib-1.18
 PKG_CPPFLAGS=-I. -I${HTSLIB_DIR} -D_FILE_OFFSET_BITS=64
-PKG_LIBS=${HTSLIB_DIR}/libhts.a -lz -lm -lbz2 -llzma -lcurl -lbcrypt -lidn2 -lunistring -liconv -lssl -lcrypto -lcrypt32 -lwsock32 -lwldap32 -lssh2 -lgcrypt -lgpg-error -lws2_32 -lzstd -lregex
+PKG_LIBS=${HTSLIB_DIR}/libhts.a
+
+ifeq (,$(shell pkg-config --version 2>/dev/null))
+  LIBPSL = $(or $(and $(wildcard $(R_TOOLS_SOFT)/lib/libpsl.a),-lpsl),)
+  LIBBROTLI = $(or $(and $(wildcard $(R_TOOLS_SOFT)/lib/libbrotlidec.a),-lbrotlidec -lbrotlicommon),)
+  PKG_LIBS += ${HTSLIB_DIR}/libhts.a -lm -lbz2 -llzma -lcurl $(LIBPSL) $(LIBBROTLI) -lbcrypt -lidn2 -lunistring -liconv -lssl -lcrypto -lcrypt32 -lwsock32 -lwldap32 -lssh2 -lgcrypt -lgpg-error -lws2_32 -lzstd -lregex -lz
+else
+  PKG_LIBS += -llzma -lbz2 -lregex $(shell pkg-config --libs libcurl)
+  PKG_CPPFLAGS += $(shell pkg-config --cflags libcurl)
+endif
 
 .PHONY: all clean HTSLIB
 
